Page MenuHomePhabricator

[compiler-rt][tests] Propagate COMPILER_RT_UNITTEST_LINK_FLAGS
ClosedPublic

Authored by hubert.reinterpretcast on Apr 2 2019, 11:18 AM.

Details

Summary

COMPILER_RT_UNITTEST_LINK_FLAGS is dropped in many places, unlike COMPILER_RT_UNITTEST_CFLAGS. This patch attempts to remove that inconsistency.
Previously reviewed as part of D58951.

Diff Detail

Event Timeline

Herald added projects: Restricted Project, Restricted Project. · View Herald TranscriptApr 2 2019, 11:18 AM
Herald added subscribers: Restricted Project, jdoerfert, delcypher and 3 others. · View Herald Transcript
hubert.reinterpretcast edited the summary of this revision. (Show Details)Apr 3 2019, 7:31 PM

I checked with the original introduction of the support for COMPILER_RT_UNITTEST_LINKFLAGS in https://reviews.llvm.org/D16165 and this looks like it is consistent with that. In the original patch it looks like it was fixing a specific link failure, which I think is why it didn't get propagated to the other files. Unless there are any objections I'm inclined to approve this?

This revision is now accepted and ready to land.Apr 18 2019, 10:11 AM
This revision was automatically updated to reflect the committed changes.